---
title: "Email the registrant's ICANN verification again"
description: "409 not_pending unless verification is pending; 429 when it was sent recently."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.ezghcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Domains API

`POST /v1/organizations/{orgId}/projects/{projectId}/domains/{domain}/registrant/resend-verification`

409 not_pending unless verification is pending; 429 when it was sent recently.

## Authentication

Requires one of the following:

- `apiKey`, http, header `Authorization`
- `oauth`, http, header `Authorization`
- `sessionCookie`, apiKey, in cookie

## Path parameters

- `ResendDomainRegistrantVerification.path.orgId` (string, required) — UUID or prefixed ID (org_…)
- `ResendDomainRegistrantVerification.path.projectId` (string, required) — UUID or prefixed ID (prj_…)
- `ResendDomainRegistrantVerification.path.domain` (string, required)

## Header parameters

- `ResendDomainRegistrantVerification.header.Idempotency-Key` (string, optional) — Makes a retry safe: the same key and request get the stored response.
  - pattern `^[\x21-\x7e]{1,200}$`

## Code samples

### cURL

```curl
curl --request POST \
  --url https://domains-api.ezghcloud.com/v1/organizations/string/projects/string/domains/string/registrant/resend-verification \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://domains-api.ezghcloud.com/v1/organizations/string/projects/string/domains/string/registrant/resend-verification';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://domains-api.ezghcloud.com/v1/organizations/string/projects/string/domains/string/registrant/resend-verification"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
```

## Responses

### 200

The domain.

#### Example

```json
{
  "autoRenew": true,
  "createdAt": "2019-08-24T14:15:22Z",
  "dnssec": {
    "enabled": true,
    "status": "off"
  },
  "domain": "string",
  "expiresAt": "2019-08-24T14:15:22Z",
  "failure": {
    "code": "string",
    "message": "string"
  },
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "nameservers": {
    "hostnames": [
      "string"
    ],
    "mode": "ezgh"
  },
  "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9",
  "privacy": true,
  "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",
  "region": "string",
  "registrant": {
    "address1": "string",
    "address2": "string",
    "city": "string",
    "companyName": "string",
    "country": "string",
    "email": "string",
    "firstName": "string",
    "lastName": "string",
    "phone": "string",
    "state": "string",
    "zip": "string"
  },
  "registrantVerification": "pending",
  "renewal": {
    "lastFailure": {
      "code": "string",
      "message": "string"
    },
    "nextAt": "2019-08-24T14:15:22Z",
    "price": "string"
  },
  "resourceName": "string",
  "slug": "string",
  "status": "registering",
  "tags": {
    "property1": "string",
    "property2": "string"
  },
  "termsVersion": "string",
  "updatedAt": "2019-08-24T14:15:22Z",
  "zoneId": "string"
}
```

- `ResendDomainRegistrantVerification.response.200.autoRenew` (boolean, required)
- `ResendDomainRegistrantVerification.response.200.createdAt` (string, required)
  - format `date-time`
- `ResendDomainRegistrantVerification.response.200.dnssec` (object, required)
  - `ResendDomainRegistrantVerification.response.200.dnssec.enabled` (boolean, required)
  - `ResendDomainRegistrantVerification.response.200.dnssec.status` (string, required)
    - one of `"off"`, `"pending"`, `"published"`, `"removing"`, `"failed"`
- `ResendDomainRegistrantVerification.response.200.domain` (string, required)
- `ResendDomainRegistrantVerification.response.200.expiresAt` (string | null, required)
  - format `date-time`
- `ResendDomainRegistrantVerification.response.200.failure` (object | null, required)
  - `ResendDomainRegistrantVerification.response.200.failure.code` (string, required)
  - `ResendDomainRegistrantVerification.response.200.failure.message` (string, required)
- `ResendDomainRegistrantVerification.response.200.id` (string, required)
  - format `uuid`
- `ResendDomainRegistrantVerification.response.200.name` (string, required)
- `ResendDomainRegistrantVerification.response.200.nameservers` (object, required)
  - `ResendDomainRegistrantVerification.response.200.nameservers.hostnames` (array<string>, required)
  - `ResendDomainRegistrantVerification.response.200.nameservers.mode` (string, required)
    - one of `"ezgh"`, `"external"`
- `ResendDomainRegistrantVerification.response.200.organizationId` (string, required)
  - format `uuid`
- `ResendDomainRegistrantVerification.response.200.privacy` (boolean, required)
- `ResendDomainRegistrantVerification.response.200.projectId` (string, required)
  - format `uuid`
- `ResendDomainRegistrantVerification.response.200.region` (string, required) — Empty: domains aren't regional.
- `ResendDomainRegistrantVerification.response.200.registrant` (one of, required) — The domain's own registrant, or null for the organization's default.
  - one of: [Contact](/domains-api/schemas/Contact/), `null`
- `ResendDomainRegistrantVerification.response.200.registrantVerification` (string | null, required)
  - one of `"pending"`, `"verified"`, `"failed"`, `null`
- `ResendDomainRegistrantVerification.response.200.renewal` (object, required)
  - `ResendDomainRegistrantVerification.response.200.renewal.lastFailure` (object | null, required)
    - `ResendDomainRegistrantVerification.response.200.renewal.lastFailure.code` (string, required)
    - `ResendDomainRegistrantVerification.response.200.renewal.lastFailure.message` (string, required)
  - `ResendDomainRegistrantVerification.response.200.renewal.nextAt` (string | null, required)
    - format `date-time`
  - `ResendDomainRegistrantVerification.response.200.renewal.price` (string | null, required) — Our one-year renewal price, USD; set for active and expired domains.
- `ResendDomainRegistrantVerification.response.200.resourceName` (string, required)
- `ResendDomainRegistrantVerification.response.200.slug` (string, required) — dom_…
- `ResendDomainRegistrantVerification.response.200.status` (string, required)
  - one of `"registering"`, `"active"`, `"expired"`, `"failed"`, `"deleted"`
- `ResendDomainRegistrantVerification.response.200.tags` (map<string>, required) — At most 50; keys 1-128 characters, values at most 256, keys starting with ezgh: are reserved.
- `ResendDomainRegistrantVerification.response.200.termsVersion` (string, required)
- `ResendDomainRegistrantVerification.response.200.updatedAt` (string, required)
  - format `date-time`
- `ResendDomainRegistrantVerification.response.200.zoneId` (string | null, required) — The EZGH DNS zone's zon_ slug.

### 400

invalid_request (with issues), invalid_cursor, or the endpoint's own 400 codes.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.400.error` (object, required)
  - `ResendDomainRegistrantVerification.response.400.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.400.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.400.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.400.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.400.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.400.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.400.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.400.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.400.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.400.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.400.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.400.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.400.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.400.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.400.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.400.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.400.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 401

unauthenticated: no credential, or one that doesn't check out.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.401.error` (object, required)
  - `ResendDomainRegistrantVerification.response.401.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.401.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.401.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.401.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.401.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.401.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.401.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.401.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.401.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.401.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.401.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.401.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.401.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.401.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.401.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.401.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.401.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 403

access_denied: the caller's policies don't allow the action; forbidden_origin: a cookie-authenticated write from an origin that isn't allowed; spend_limit_reached.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.403.error` (object, required)
  - `ResendDomainRegistrantVerification.response.403.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.403.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.403.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.403.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.403.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.403.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.403.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.403.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.403.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.403.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.403.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.403.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.403.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.403.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.403.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.403.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.403.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 404

not_found: unknown, malformed, or in an organization the caller isn't in.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.404.error` (object, required)
  - `ResendDomainRegistrantVerification.response.404.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.404.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.404.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.404.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.404.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.404.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.404.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.404.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.404.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.404.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.404.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.404.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.404.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.404.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.404.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.404.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.404.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 409

quota_exceeded (an allocation quota, with quota), idempotency_conflict, idempotency_in_progress (with Retry-After), organization_deletion_pending, operation_in_progress, or the endpoint's own 409 codes.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.409.error` (object, required)
  - `ResendDomainRegistrantVerification.response.409.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.409.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.409.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.409.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.409.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.409.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.409.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.409.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.409.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.409.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.409.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.409.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.409.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.409.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.409.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.409.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.409.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 413

payload_too_large: the body is over the endpoint's limit (1 MiB unless it says otherwise).

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.413.error` (object, required)
  - `ResendDomainRegistrantVerification.response.413.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.413.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.413.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.413.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.413.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.413.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.413.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.413.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.413.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.413.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.413.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.413.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.413.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.413.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.413.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.413.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.413.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 429

too_many_requests, with Retry-After; or quota_exceeded (a rate, usage or concurrency quota, with quota), never with Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.429.error` (object, required)
  - `ResendDomainRegistrantVerification.response.429.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.429.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.429.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.429.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.429.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.429.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.429.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.429.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.429.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.429.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.429.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.429.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.429.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.429.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.429.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.429.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.429.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 500

internal_error: a bug; the details are in the logs, under the request ID.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.500.error` (object, required)
  - `ResendDomainRegistrantVerification.response.500.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.500.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.500.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.500.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.500.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.500.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.500.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.500.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.500.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.500.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.500.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.500.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.500.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.500.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.500.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.500.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.500.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.

### 503

unavailable: a dependency the request needs is down. Retry after Retry-After.

#### Example

```json
{
  "error": {
    "code": "string",
    "issues": [
      {
        "message": "string",
        "path": "string"
      }
    ],
    "message": "string",
    "quota": {
      "id": "string",
      "inFlight": 0,
      "kind": "allocation",
      "limit": 0,
      "periodStart": "2019-08-24T14:15:22Z",
      "region": "string",
      "resetsAt": "2019-08-24T14:15:22Z",
      "scope": "organization",
      "scopeResourceName": "string",
      "used": 0,
      "window": "string"
    }
  }
}
```

- `ResendDomainRegistrantVerification.response.503.error` (object, required)
  - `ResendDomainRegistrantVerification.response.503.error.code` (string, required)
    - maxLength 64; pattern `^[a-z][a-z0-9_]*$`
  - `ResendDomainRegistrantVerification.response.503.error.message` (string, required)
    - maxLength 1024
  - `ResendDomainRegistrantVerification.response.503.error.issues` (array<object>, optional) — invalid_request: one entry per problem, at a dotted path.
    - `ResendDomainRegistrantVerification.response.503.error.issues.message` (string, required)
    - `ResendDomainRegistrantVerification.response.503.error.issues.path` (string, required)
  - `ResendDomainRegistrantVerification.response.503.error.quota` (object, optional) — quota_exceeded: the quota that refused the request. Never with Retry-After.
    - `ResendDomainRegistrantVerification.response.503.error.quota.id` (string, required)
    - `ResendDomainRegistrantVerification.response.503.error.quota.kind` (unknown, required)
      - one of `"allocation"`, `"rate"`, `"usage"`, `"concurrency"`
    - `ResendDomainRegistrantVerification.response.503.error.quota.limit` (integer, required)
      - min 0
    - `ResendDomainRegistrantVerification.response.503.error.quota.scope` (unknown, required)
      - one of `"organization"`, `"project"`, `"resource"`
    - `ResendDomainRegistrantVerification.response.503.error.quota.inFlight` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.503.error.quota.periodStart` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.503.error.quota.region` (string, optional)
    - `ResendDomainRegistrantVerification.response.503.error.quota.resetsAt` (string, optional)
      - format `date-time`
    - `ResendDomainRegistrantVerification.response.503.error.quota.scopeResourceName` (string, optional)
    - `ResendDomainRegistrantVerification.response.503.error.quota.used` (integer, optional)
      - min 0
    - `ResendDomainRegistrantVerification.response.503.error.quota.window` (string, optional) — rate only: an ISO 8601 duration, PT1S to PT1H.


Source: https://docs.ezghcloud.com/domains-api/ResendDomainRegistrantVerification/index.md
